Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.crypto.wss
Class SecurityTokenContextHandler

    java.lang.Object
      weblogic.xml.crypto.wss.SecurityTokenContextHandler

All Implemented Interfaces:
  ContextHandler

public class SecurityTokenContextHandler
extends Object
implements ContextHandler

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CLAIMS`
`static String` | `CLAIMS_MAP`
`static String` | `ENDPOINT_URL`
`static String` | `ISSUER_SERIAL`
`static String` | `KEYID`
`static String` | `SECURITY_INFO`
`static String` | `TOKEN`

Constructor Summary
`SecurityTokenContextHandler()`
`SecurityTokenContextHandler(weblogic.xml.crypto.wss.policy.Claims claims)`
`SecurityTokenContextHandler(Node claims, WSSecurityInfo securityInfo)`
`SecurityTokenContextHandler(WSSecurityInfo securityInfo)`

Method Summary
`void` | `addContextElement(String key, Object value)`
`String[]` | `getNames()` Gets a list of `ContextElement` names that can be requested.
`Object` | `getValue(String name)` Gets a value for the specified `ContextElement` name.
`ContextElement[]` | `getValues(String[] names)`
`int` | `size()` Provides a count of the number of `ContextElement`s that the handler is able to return.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLAIMS

    public static String CLAIMS

### CLAIMS_MAP

    public static String CLAIMS_MAP

### ENDPOINT_URL

    public static String ENDPOINT_URL

### ISSUER_SERIAL

    public static String ISSUER_SERIAL

### KEYID

    public static String KEYID

### SECURITY_INFO

    public static String SECURITY_INFO

### TOKEN

    public static String TOKEN

Constructor Detail

### SecurityTokenContextHandler

    public SecurityTokenContextHandler()

### SecurityTokenContextHandler

    public SecurityTokenContextHandler(weblogic.xml.crypto.wss.policy.Claims claims)

### SecurityTokenContextHandler

    public SecurityTokenContextHandler(Node claims,
                                       WSSecurityInfo securityInfo)

### SecurityTokenContextHandler

    public SecurityTokenContextHandler(WSSecurityInfo securityInfo)

Method Detail

### addContextElement

    public void addContextElement(String key,
                                  Object value)

### getNames

    public String[] getNames()

  Description copied from interface: `ContextHandler`
  Gets a list of `ContextElement` names that can be requested.

  Specified by:
    `getNames` in interface `ContextHandler`
  Returns:
    the names of the `ContextElement`s that can be requested, represented as an array of Strings.

### getValue

    public Object getValue(String name)

  Description copied from interface: `ContextHandler`
  Gets a value for the specified `ContextElement` name.

  Specified by:
    `getValue` in interface `ContextHandler`
  Parameters:
    `name` - the name of the `ContextElement` for which a value should be returned, represented as a String.

  Returns:
    an `Object` that contains the value of the requested name. If the value of the `name` parameter is unknown, a `null` value is returned.

### getValues

    public ContextElement[] getValues(String[] names)

  Description copied from interface: `ContextHandler`
  Gets an array of `ContextElement` objects containing values for each of the named elements that are known.

  Specified by:
    `getValues` in interface `ContextHandler`
  Parameters:
    `names` - the names of the `ContextElement`s to be returned, represented as an array of Strings.

  Returns:
    an array containing a `ContextElement` object for each of the named elements found in the `names` parameter. The value for the requested element is returned as a `java.lang.Object`. As a result, the caller must know the data type of the value.

    If a name in the `names` parameter is unknown, the name will not appear in the array of `ContextElement` objects.

### size

    public int size()

  Description copied from interface: `ContextHandler`
  Provides a count of the number of `ContextElement`s that the handler is able to return.

  Specified by:
    `size` in interface `ContextHandler`
  Returns:
    the number of `ContextElement`s that can be requested. A value of `-1` indicates that the handler is unable to return the exact count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD